###########################################################################
# Create an RPM for the whatelse script                                   #
#                                                                         #
# By Scott Pakin <pakin@lanl.gov>                                         #
#                                                                         #
# ----------------------------------------------------------------------- #
#									  #
# Copyright (C) 2014, Los Alamos National Security, LLC			  #
# All rights reserved.							  #
# 									  #
# Copyright (2014).  Los Alamos National Security, LLC.  This software	  #
# was produced under U.S. Government contract DE-AC52-06NA25396 for Los	  #
# Alamos National Laboratory (LANL), which is operated by Los Alamos	  #
# National Security, LLC (LANS) for the U.S. Department of Energy. The	  #
# U.S. Government has rights to use, reproduce, and distribute this	  #
# software.  NEITHER THE GOVERNMENT NOR LANS MAKES ANY WARRANTY, EXPRESS  #
# OR IMPLIED, OR ASSUMES ANY LIABILITY FOR THE USE OF THIS SOFTWARE. If	  #
# software is modified to produce derivative works, such modified	  #
# software should be clearly marked, so as not to confuse it with the	  #
# version available from LANL.						  #
# 									  #
# Additionally, redistribution and use in source and binary forms,	  #
# with or without modification, are permitted provided that the		  #
# following conditions are met:						  #
# 									  #
#   * Redistributions of source code must retain the above copyright	  #
#     notice, this list of conditions and the following disclaimer.	  #
# 									  #
#   * Redistributions in binary form must reproduce the above copyright	  #
#     notice, this list of conditions and the following disclaimer	  #
#     in the documentation and/or other materials provided with the	  #
#     distribution.							  #
# 									  #
#   * Neither the name of Los Alamos National Security, LLC, Los Alamos	  #
#     National Laboratory, the U.S. Government, nor the names of its	  #
#     contributors may be used to endorse or promote products derived	  #
#     from this software without specific prior written permission.	  #
# 									  #
# THIS SOFTWARE IS PROVIDED BY LANS AND CONTRIBUTORS "AS IS" AND ANY	  #
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE	  #
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR	  #
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL LANS OR CONTRIBUTORS BE	  #
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,	  #
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT	  #
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR	  #
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,	  #
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE	  #
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,	  #
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.			  #
#									  #
###########################################################################

Name: whatelse
Summary: Report what else is running on the computer
Version: 1.5
Release: 1
URL: http://www.ccs3.lanl.gov/pal/software.shtml
Source0: %{name}-%{version}.tar.gz
License: LANL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: CCS-7 group, Los Alamos National Laboratory
BuildRequires: groff, ghostscript, perl >= 5.6.0
Requires: perl >= 5.6.0
BuildArch: noarch
Prefix: /usr

%description
Oftentimes a computer seems slower than it ought to be.  whatelse
waits quietly in the background then reports all process activity that
transpired while it was waiting.  whatelse can therefore be a useful
diagnostic tool for determining where an individual computer -- or a
node of a large cluster -- is spending its time.

%prep
%setup

%build
make
make whatelse.pdf

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/whatelse
%{_mandir}/man1/whatelse.1*
%doc LICENSE whatelse.pdf

%changelog
* Thu Jun  5 2014 Scott Pakin <pakin@lanl.gov>
- updated to specify whatelse v1.5

* Tue Dec 14 2010 Scott Pakin <pakin@lanl.gov>
- updated to specify whatelse v1.4

* Mon Mar 24 2008 Scott Pakin <pakin@lanl.gov>
- updated to specify whatelse v1.3

* Wed May  9 2007 Scott Pakin <pakin@lanl.gov>
- updated to specify whatelse v1.2

* Sat Jul 16 2005 Scott Pakin <pakin@lanl.gov>
- updated to specify whatelse v1.1

* Fri Oct 24 2003 Scott Pakin <pakin@lanl.gov>
- updated legal notice as dictated by LANL Industrial Business Development

* Tue Jul 23 2003 Scott Pakin <pakin@lanl.gov>
- initial build
